#[cfg(test)]
mod tests {
    use std::thread::sleep;
    use std::time::Duration;
    use image::io::Reader as ImageReader;
    use crate::pokemmo::const_value::pokemmo_const_value::{LOGO, MAP_CITY, SHORTCUT_KEY_1, SHORTCUT_KEY_5};
    use crate::pokemmo::pokemmo::pokemmo::check_screen_active;
    use crate::screen::screen::screen::{print_image, screen_shot};

    #[test]
    fn print_logo() {
        sleep(Duration::from_secs(1));

        let logo_image = screen_shot(Some(LOGO));
        print_image(logo_image, "logo".to_string());


        let active = check_screen_active();
        println!("main screen active : {}", active);
    }

    #[test]
    fn print_city() {
        sleep(Duration::from_secs(1));

        let logo_image = screen_shot(Some(MAP_CITY));
        print_image(logo_image, "city".to_string());

    }

    #[test]
    fn print_shortcut_key_1() {
        sleep(Duration::from_secs(1));

        let logo_image = screen_shot(Some(SHORTCUT_KEY_1));
        print_image(logo_image, "key_1".to_string());

    }

    #[test]
    fn print_shortcut_key_5() {
        sleep(Duration::from_secs(1));

        let logo_image = screen_shot(Some(SHORTCUT_KEY_5));
        print_image(logo_image, "key_5".to_string());

    }

    #[test]
    fn compare_logo() {

        let active_logo = ImageReader::open("./resources/pokemmo/image/logo_active.png").expect("read active logo image failed").decode().expect("decode image failed");
        let active_logo_data = active_logo.as_bytes().to_vec();

        let na_logo = ImageReader::open("./resources/pokemmo/image/logo_unactive.png").expect("read active logo image failed").decode().expect("decode image failed");
        let na_logo_data = na_logo.as_bytes().to_vec();

        let size = active_logo_data.len();

        let mut dis = 0_isize;
        for i in 0 .. size{
            dis += na_logo_data[i].clone() as isize - active_logo_data[i].clone() as isize;
        }

        println!("dis = {}",dis);


    }
}