#[cfg(feature = "screen")]
pub mod screen {
    use std::fs;

    use screenshots::{Compression, Image, Screen};

    pub struct Area {
        pub left: i32,
        pub right: i32,
        pub top: i32,
        pub bottom: i32,
    }

    pub fn screen_shot(area: Option<Area>) -> Image {
        let main_screen_list: Vec<Screen> = Screen::all().expect("get all screen failed").into_iter().filter(|x| x.display_info.is_primary).collect();
        let main_screen = main_screen_list.first().expect("get main screen failed");
        let image = if area.is_none() {
            main_screen.capture().expect("capture full image failed")
        } else {
            let rect = area.expect("get area failed");
            let width = (rect.right - rect.left) as u32;
            let height = (rect.bottom - rect.top) as u32;
            main_screen.capture_area(rect.left.clone(), rect.top.clone(), width, height).expect("capture image failed")
        };
        return image
    }


    pub fn print_image(image: Image,file_name : String){
        fs::write(format!("test/image/{}.png", file_name), image.to_png(Some(Compression::Default)).expect("image to png failed")).unwrap();
    }




}